import { getGuildForGuildId, getGuildLog } from "@/src/services/guildService";
import { getInventory } from "@/src/services/inventoryService";
import { getAccountIdForRequest } from "@/src/services/loginService";
import { RequestHandler } from "express";

export const getGuildLogController: RequestHandler = async (req, res) => {
    const accountId = await getAccountIdForRequest(req);
    const inventory = await getInventory(accountId);
    const guild = await getGuildForGuildId(inventory.GuildId?.toString() ?? "");
    if (!guild) {
        res.status(400).json({ error: "guild was undefined" });
        return;
    }
    res.json(await getGuildLog(accountId, guild));
};
